@include('includes.admin.header')
@include('includes.admin.sidebar')  
<script>
    $(document).ready(function(){
        $('#formation-menu').addClass('active');
    });
</script>
<style>
    iframe
    {
        height : auto;
        max-width : 200px;
    }
</style>
<!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
         Formations List
            <small>From Formations</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Formations</a></li>
            
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Formations</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                    <table class="table table-bordered table-striped">
                        <thead>
                            <tr>
                              <th>#</th>
                              <th>Formations</th>
                              <th>Created On</th>
                              <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if($formations->count() > 0)
                            @foreach($formations AS $formation)
                            <tr>
                                <td></td>
                                <td><?php echo nl2br($formation['name']) ?></td>
                                <td>{{date("d M Y", strtotime($formation['created_at']))}}</td>
                               <td>
                                    
                                 <a class=" btn btn-xs btn-success" href="/admin/formations/edit/{{$formation['UUID']}}"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;&nbsp;
                                   <a class=" btn btn-xs btn-danger btn-remove" href="#" data-id="{{$formation['UUID']}}" data-name="{{$formation['name']}}"><i class="glyphicon glyphicon-remove"></i></a>&nbsp;&nbsp
<!--                                   <a href="#" class="btn btn-sm bg-olive">Approve</a>-->
                               </td>
                            </tr>
                            @endforeach
                            @endif
                        </tbody>
                    
				
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
    <script>
            $(document).on('click', '.btn-remove', function(){
                var id = $(this).attr('data-id');
                var name = $(this).attr('data-name');
                var conf = confirm("Are you sure you want to delete " + name);
                var parent = $(this).parents('tr').first();
                var current = $(this);
                if(conf)
                {
                    $.ajax({
                        url: '/admin/formations/delete/' + id,
                        type: 'DELETE',
                        dataType: 'json',
                        data:{"_token": "{{ csrf_token() }}"}
                    }).done(function(result) {
                        alert('Formation deleted Successfully');
                        $(parent).remove();
                    }).fail(function(xhr, textStatus, errorThrown){
                        var res = xhr.responseJSON;
                        var html = '';
                        console.log(res);
                        $(res).each(function(i, value){
                            console.log(value);
                            html+= value;
                        });
                        alert(html);
                        $(current).removeAttr('disabled');
                        $('#position-message').find('.modal-body p').html(html);
                        $('#position-message').modal('show');
                    });
                    
                }
              
            });
          </script>
@include('includes.admin.footer')