<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddColumnsToDecisionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('decision', function (Blueprint $table) {
            $table->text('admin_response')->nullable()->after('decision');
            $table->boolean('confirm')->default(0)->after('admin_response');
            $table->boolean('reject')->default(0)->after('confirm');
            $table->bigInteger('no_of_likes')->default(0)->after('reject');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('decision', function (Blueprint $table) {
            //
        });
    }
}
